Out-of-bounds Read

Affecting libsndfile package, versions <1.0.27-3+deb9u1

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

There is a heap-based buffer over-read at wav.c in wav_write_header in libsndfile 1.0.28 that will cause a denial of service.

References

CVSS Score

6.5
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    Required
  • Scope
    Unchanged
  • Confidentiality
    None
  • Integrity
    None
  • Availability
    High
CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
CVE
CVE-2018-19758
CWE
CWE-125
Snyk ID
SNYK-DEBIAN9-LIBSNDFILE-316483
Disclosed
30 Nov, 2018
Published
30 Nov, 2018